<template>
  <div class="custom_load_icon">
    <div class="item"></div>
    <div class="item"></div>
    <div class="item"></div>
  </div>
</template>
<style lang="scss" scoped>
.custom_load_icon {
  position: relative;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;

  .item {
    width: 14rpx;
    height: 14rpx;
    border-radius: 50%;
    background-color: #8884fd;

    &:first-child {
      animation: ani1 1.5s infinite steps(2);
    }
    &:nth-child(2) {
      animation: ani2 1.5s infinite steps(2);
    }
    &:nth-child(3) {
      animation: ani3 1.5s infinite steps(2);
    }
  }
}

@keyframes ani1 {
  0% {
    transform: scale(1.3); /* 初始大小 */
    background-color: #8884fd;
  }
  50% {
    transform: scale(1); /* 放大到1.5倍 */
    background-color: #cfcefa;
  }
  100% {
    transform: scale(1); /* 又缩小回初始大小 */
    background-color: #cfcefa;
  }
}
@keyframes ani2 {
  0% {
    transform: scale(1); /* 初始大小 */
    background-color: #cfcefa;
  }
  50% {
    transform: scale(1.3); /* 放大到1.5倍 */
    background-color: #8884fd;
  }
  100% {
    transform: scale(1); /* 又缩小回初始大小 */
    background-color: #cfcefa;
  }
}
@keyframes ani3 {
  0% {
    transform: scale(1); /* 初始大小 */
    background-color: #cfcefa;
  }
  50% {
    transform: scale(1); /* 放大到1.5倍 */
    background-color: #cfcefa;
  }
  100% {
    transform: scale(1.3); /* 又缩小回初始大小 */
    background-color: #8884fd;
  }
}
</style>
